Bug 676124 - Review Request: racket - replacement package for renamed plt-scheme
Review Request: racket - replacement package for renamed plt-scheme
Status: CLOSED DUPLICATE of bug 808350
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 451092 518895 652083 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-08 16:29 EST by Gérard Milmeister
Modified: 2012-07-08 13:57 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-08 13:57:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2011-02-08 16:29:30 EST
Spec URL: http://gemi.fedorapeople.org/racket.spec
SRPM URL: http://gemi.fedorapeople.org/racket-5.0.2-1.fc14.src.rpm
Description: This is based on the plt-scheme package that I maintained.
PLT Scheme has been renamed to racket, so a new package is needed. The SPEC
file is almost the same. Any discussions that targeted the plt-scheme package
should therefore be redirected to this review.
Comment 1 Gérard Milmeister 2011-02-12 16:53:05 EST
*** Bug 518895 has been marked as a duplicate of this bug. ***
Comment 2 Gérard Milmeister 2011-02-18 08:35:50 EST
*** Bug 451092 has been marked as a duplicate of this bug. ***
Comment 3 Nathan Owe 2011-08-16 12:44:56 EDT
*** Bug 652083 has been marked as a duplicate of this bug. ***
Comment 4 Eli Barzilay 2011-08-20 04:04:44 EDT
I'm part of the Racket development team, and I'd like to see this package revived.  Is there anything I can do to help get it going?
Comment 5 Garrett Mitchener 2011-09-12 14:50:32 EDT
I dabble in scheme and other programming languages.  I would like to have this package available in Fedora.  I cobbled together a working SPEC file for my personal use a few releases ago, but I don't have time to maintain an RPM during the academic year.
Comment 6 Michel Alexandre Salim 2011-09-15 04:30:07 EDT
Hi Eli,

(In reply to comment #4)
> I'm part of the Racket development team, and I'd like to see this package
> revived.  Is there anything I can do to help get it going?

There are some concerns about Racket's bundling of several system libraries -- could we get answers to the following questions so we can decide whether some of the bundling are necessary, and/or whether some of them should be replaced by using standalone upstream libraries, whether in their original state or as forked versions?

https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Standard_questions

Thanks!
Comment 7 Eli Barzilay 2011-09-15 15:21:14 EDT
Which libraries are you talking about?

The *sources* do have a copy of libffi libraries, since we want it to compile on
systems that doesn't have it, but it's possible to build with the one installed
on the system instead.  (And IIRC, that's the default.)

The only other thing I can think of are two libraries that are used for plots:
there's libfit.so and libplplot.so, both from plplot.  Those are "needed"
because the guy who implemented our plot library took the sources straight from
there, and modified it to work with Racket.  This was obviously a bad idea, but
the good news is that someone else picked it up recently and reimplemented the
whole thing in plain Racket.  This means that if there's any issue with allowing
these two libraries, it's fine to just dump them, until we get rid of that
completely.
Comment 8 Jason Tibbitts 2012-07-08 13:57:57 EDT

*** This bug has been marked as a duplicate of bug 808350 ***

Note You need to log in before you can comment on or make changes to this bug.